Get a subreddit's details by name or URL. Returns member count, weekly active users, weekly contributions, title, description, full sidebar, creation date, community type, language, icon and banner, NSFW and quarantine flags, and a status saying whether it is active, private, banned or quarantined.
curl "https://apidirect.io/v1/reddit/subreddit?subreddit=Python" \
-H "X-API-Key: YOUR_API_KEY"
{
"subreddit": {
"name": "Python",
"subreddit_id": "2qh0y",
"title": "Python",
"description": "The largest Python community for Reddit! Stay up to date with the latest news, packages, and meta information relating to the Python programming language. \n-...",
"sidebar": "####[The Python Discord](https://discord.gg/python)\n\nNews about the dynamic, interpreted, interactive, object-oriented, extensible programming language Pytho...",
"url": "https://www.reddit.com/r/Python/",
"subscribers": 1518060,
"weekly_active_users": 118064,
"weekly_contributions": 737,
"created_at": "2008-01-25 03:14:39",
"type": "public",
"status": "active",
"nsfw": false,
"quarantined": false,
"icon": "https://styles.redditmedia.com/t5_2qh0y/styles/communityIcon_lctik80p96tg1.png?width=64&frame=1&auto=webp&s=92baaacc951d52b5071629852df033d53cafa5ec",
"banner": "https://styles.redditmedia.com/t5_2qh0y/styles/bannerBackgroundImage_cd73kiu1502d1.png?frame=1&auto=webp&s=cb043cb4ba040265a97554d8debbeb2ed419db16",
"language": "en"
}
}